***************************************************************
*** Group Liability Experiment
*** Author: Greg Fischer
***************************************************************
*** 
*** 23 May 2011
***************************************************************
/*
Calculates transfers by investment outcome
Generates data fro 
*/		

***************************************************************
*** SETUP
***************************************************************;
clear	
clear matrix						
capture log close				
set memory 100m					
set more off					

# delimit;

global resDir "C:\users\greg\documents\docs\research\";
local doroot "$resDir\groupliability\";
cd "`doroot'"; 

local file = "F5_TransferPlots";
local logfile = "logfiles\\`file'.log";
local filename ="`doroot'do\"+ "`file'.do";

di "filename: `filename'";

log using `logfile', replace;

use dtafiles\dataFinal, replace;

***************************************************************
*** Programs
***************************************************************;
***************************************************************
*** Make Fig5: Nonparametric transfers plot data
**************************************************************;
local tn = "NewF5";
gen `tn'_set = "";
gen `tn'_row = "";
gen `tn'_30_0 = .;
gen `tn'_30_1 = .;
gen `tn'_40_0 = .;
gen `tn'_40_1 = .;
gen `tn'_50_0 = .;
gen `tn'_50_1 = .;

tab payoff if choiceSheet==1, gen(fe_pay);
ds fe_pay*;
local fepay = r(varlist);
di "`fepay'";


*** All participants;
qui foreach var of local fepay {;
	di "`var'";
	local i= real(subinstr("`var'","fe_pay","",.));
	sum payoff if `var'==1;
	replace `tn'_row = string(r(mean)) if _n==`i';
	replace `tn'_set = "All" if _n==`i';
	foreach game in 30 40 50 {;
		foreach info in 0 1 {;
			sum trans if gameEff==`game' & info==`info' & `var'==1;
			replace `tn'_`game'_`info' = r(mean) if _n==`i';
			};
		};		
	};

*** Different Kendra;
qui foreach var of local fepay {;
	di "`var'";
	local i= real(subinstr("`var'","fe_pay","",.))+20;
	sum payoff if `var'==1 & samek==0;
	replace `tn'_row = string(r(mean)) if _n==`i';
	replace `tn'_set = "Diff" if _n==`i';
	foreach game in 30 40 50 {;
		foreach info in 0 1 {;
			sum trans if gameEff==`game' & info==`info' & `var'==1 & samek==0;
			replace `tn'_`game'_`info' = r(mean) if _n==`i';
			};
		};		
	};

*** Same Kendra;
qui foreach var of local fepay {;
	di "`var'";
	local i= real(subinstr("`var'","fe_pay","",.))+40;
	sum payoff if `var'==1 & samek==1;
	replace `tn'_row = string(r(mean)) if _n==`i';
	replace `tn'_set = "Same" if _n==`i';
	foreach game in 30 40 50 {;
		foreach info in 0 1 {;
			sum trans if gameEff==`game' & info==`info' & `var'==1 & samek==1;
			replace `tn'_`game'_`info' = r(mean) if _n==`i';
			};
		};		
	};
local i = `i' + 2;

replace `tn'_row = "Source: " + "`filename'" if _n == `i';
	local i = `i' + 1;
replace `tn'_row = "Generated: `c(current_time)' `c(current_date)'" if _n == `i';
	local i = `i' + 1;

local outfile = "excel\"+"`tn'"+".out";
outsheet `tn'_* using `outfile' if _n<`i', replace;

log close;
