***************************************************************
*** Group Liability Experiment
*** Author: Greg Fischer
*** May 11, 2007
*** Revised 17 May 2011
/***************************************************************
This file generates the session detail summary for Table 5
*/
***************************************************************
*** SETUP
***************************************************************;
clear	
clear matrix						
capture log close				
set memory 100m					
set more off					


# delimit;

global resDir "C:\users\greg\documents\docs\research\";
local doroot "$resDir\groupliability\";
cd "`doroot'";

local file = "NewT5_SessionDetail";
local logfile = "logfiles\\`file'.log";
local filename ="`doroot'do\"+ "`file'.do";

di "filename: `filename'";

log using `logfile', replace;

***************************************************************
*** MAIN DATA
***************************************************************;
use dtafiles\dataFinal, replace;


***************************************************************
*** Session Data
*** Generates Table 5: Session Detail
***************************************************************;
preserve;
keep if soi==1;
qui desc;
local newObs = r(N) + 5;
set obs `newObs';
gen str tableLabel = "";
replace tableLabel = "Source: " + "`filename'" if _n == (`newObs' -3);
replace tableLabel = "Generated: `c(current_time)' `c(current_date)'" if _n == (`newObs' -2);
outsheet tableLabel session roundsDay participants largeKendra shareLargeKendra using excel\partCountsNew.out, replace;
restore;

tab gameMeta info if inclObs==1, miss matcell(obscount) matrow(gameMeta);
svmat gameMeta;
svmat obscount;
preserve;
keep if obscount1<.;
qui desc;
local newObs = r(N) + 5;
set obs `newObs';
gen str tableLabel = "";
replace tableLabel = "Source: " + "`filename'" if _n == (`newObs' -3);
replace tableLabel = "Generated: `c(current_time)' `c(current_date)'" if _n == (`newObs' -2);
outsheet tableLabel gameMeta1 obscount1-obscount3 using excel\obsByGameNew.out, replace;
restore;

log close;
